Skip to main content
`Ctrl`+`K`

# TaoTermShellSetIsComputeHessianFDPossible

Set whether this term can compute Hessian with finite differences for a `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetIsComputeHessianFDPossible(TaoTerm term, PetscBool3 ispossible)

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- ispossible - whether Hessian computation with finite differences is possible

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellGetContext()`, `TaoTermShellSetContextDestroy()`, `TaoTermShellSetObjective()`, `TaoTermShellSetGradient()`, `TaoTermShellSetObjectiveAndGradient()`, `TaoTermShellSetHessian()`, `TaoTermIsComputeHessianFDPossible()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Implementations

TaoTermShellSetIsComputeHessianFDPossible_Shell() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages